function job = buildIsosurfaceOfAggloStart(p, outputFolder, segIds, namePrefix)

    fileNames = arrayfun(@(x)[outputFolder namePrefix num2str(x) '.ply'], 1:length(segIds), 'uni', 0)';
    functionH = @connectEM.buildIsosurfaceOfAgglo;
    inputCell = cellfun(@(x,y){x y}, segIds, fileNames, 'uni', 0);
    sharedInputs = {p};
    cluster = Cluster.getCluster( ... 
                '-pe openmp 1', ... 
                '-p -300', ...
                '-tc 30', ...
                '-l h_vmem=36G', ... 
                '-l s_rt=23:50:00', ... 
                '-l h_rt=24:00:00');
    job = Cluster.startJob( functionH, inputCell, ...
                'name', 'isosurfacesFromAgglo', ...
                'sharedInputs', sharedInputs, ...
                'sharedInputsLocation', 1, ...
                'cluster', cluster);
end

