function [job, runId] = ...
        detectChiasmataSuperSuper(p, chiParam, agglos, outputDir)
    % Written by
    %   Kevin Boergens <kevin.boergens@brain.mpg.de>
    %   Alessandro Motta <alessandro.motta@brain.mpg.de>
    
    % set id for detected chiasmata
    runId = datestr(now, 30);
    chiParam.runId = runId;
    chiParam.outputDir = outputDir;
    
    job = Cluster.startJob( ...
        @connectEM.detectChiasmataSuper, ...
        arrayfun(@(i) {{i}}, 1:500), ...
        'name', 'chiasmata', ...
        'sharedInputs', {p, chiParam, agglos}, ...
        'cluster', { ...
            'memory', 24, ...
            'priority', 100, ...
            'time', '24:00:00'}, ...
        'diary', true);
end
