function job = detectImageAlignmentIssuesStart(p)

    inputCell = arrayfun(@(x){x}, p.bbox(3,1):p.bbox(3,2)-1, 'uni', 0);
    functionH = @connectEM.detectImageAlignmentIssues;
    sharedInputs = {p};
    cluster = Cluster.getCluster( ...
                '-pe openmp 1', ...
                '-p -500', ...
                '-l h_vmem=12G', ...
                '-l s_rt=23:50:00', ...
                '-l h_rt=24:00:00');
    job = Cluster.startJob( functionH, inputCell, ...
                'name', 'alignmentIssueDetection', ...
                'sharedInputs', sharedInputs, ...
                'sharedInputsLocation', 1, ...
                'numOutputs', 4, ...
                'cluster', cluster);
end

