function job = graphConstruction(parameter)
    % collect parameters
    
    if isfield(parameter, 'mask')
        buildInputs = @(l) { ...
            fullfile(l.saveFolder, 'segGlobal.mat'), ...
            l.edgeFile, l.borderFile, l.segmentFile, ...
            parameter.mask, l.bboxSmall};
    else
        buildInputs = @(l) { ...
            fullfile(l.saveFolder, 'segGlobal.mat'), ...
            l.edgeFile, l.borderFile, l.segmentFile};
    end
    
    inputCell = arrayfun( ...
        buildInputs, parameter.local(:), ...
        'UniformOutput', false);
    
    functionH = @findEdgesAndBordersWrapper;
    job = startCPU(functionH, inputCell, 'graphConstruction', 12);
end

